//
//  ContentView.swift
//  Animation1-4
//
//  Created by 大津 真 on 2020/04/06.
//  Copyright © 2020 大津 真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var showText = false
    var body: some View {
        VStack {
            Button(action: {
                withAnimation(.spring(response: 0.4, dampingFraction: 0.1, blendDuration: 0)){
                    self.showText.toggle()
                }
            }) {
                HStack {
                    Image(systemName: "hand.raised")
                    Text("タップして")
                }
                .font(.largeTitle)
                .padding()
                .background(Capsule().foregroundColor(Color.yellow))
            }
            if showText {
                Text("こんにちはSwift!")
                    .font(.largeTitle)
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
