//
//  ContentView.swift
//  Animation2
//
//  Created by 大津 真 on 2020/02/15.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var isAnimating = false
    var body: some View {
        VStack {
            Button(action: {
                self.isAnimating.toggle()
            }) {
                HStack {
                    Image(systemName: "hand.raised")
                    Text("タップして")
                }
                .font(.largeTitle)
                .padding()
                .background(Capsule().foregroundColor(Color.yellow))
            }
            Spacer()
            Image(systemName: "ant")
                .resizable()
                .scaledToFit()
                .frame(width: 100, height: 100)
                .scaleEffect(isAnimating ? 3 : 1)
                .rotationEffect(isAnimating ? Angle(degrees: 360) : .zero)
                .animation(.easeOut(duration: 2))
            Spacer()
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
