//
//  ContentView.swift
//  Sheet2
//
//  Created by 大津 真 on 2020/02/24.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State private var showSheet = false
    var body: some View {
		Button(action: {
			self.showSheet.toggle()
		}) {
			Text("シートを表示")
                .font(.largeTitle)
		}
		.sheet(isPresented: $showSheet) {
			MySheet()
		}
    }
}

struct MySheet: View {
	@Environment(\.presentationMode) var presentationMode
	var body: some View {
		ZStack {
			Color.yellow
			VStack {
				Text("シートです")
                    .font(.largeTitle)
				Button(action: {
					self.presentationMode.wrappedValue.dismiss()
				}) {
					Text("閉じる")
				}
			}
		}
	}
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
